affconvert(1)

NAME
affconvert - convert files between RAW and AFF formats

SYNOPSIS
affconvert [options] file1 [... files]

DESCRIPTION
Convert files from RAW to AFF, AFF to RAW and AFF to AFF (recompressing/uncompressing).

This file is part of the AFFLIBv3, that provides AFF.

AFF is an open and extensible file format to store disk images and associated metadata. It is useful in several scenaries, as computer forensics investigations.

OPTIONS
General options:

    -q  Quiet mode. Don't ask questions, don't print status.

AFF output options:

    -a <ext>
        Use 'ext' for aff files (default is aff; afd for AFD files). if file ends using .aff. Otherwise assumes raw.

    -L  Use the LZMA compression algorithm (better but slower).

    -Mn[kmg]
        Set maximum size of output file. Suffix with k, m or g.

    -O <dir>
        Use 'dir' as the output directory.

    -o <file>
        Output to 'file' (can only convert one at a time). Consider AFF

    -sn Set the image_pagesize (default 16777216).

    -x  Don't compress the AFF file.

    -Xn Set compression to n; default is 7.

Raw output options:

    -e <ext>
        Use 'ext' for the raw files (default is raw). Implies in -r.

    -r  Force raw output.

Dangerous input options:

    -V  Just print the version number and exit.

    -y  Always answer yes/no questions 'yes.'

    -Z  Do not automatically probe for gzip/bzip2 compression.

    -z  ZAP (delete) the output file if it already exists.

EXAMPLES
Convert file1.iso to file1.aff:

    $ affconvert file1.iso
Batch convert files:

    $ affconvert file1.iso file2.iso file3.iso
Convert image.aff to image.iso:

    $ affconvert -r -e iso image.aff
Split an AFF file into 4GB chunks for archiving to DVD:

    $ affconvert -M4g -o/media/dvd.afd  bigfile.aff

SEE ALSO
affcat(1), affcompare(1), affcopy(1), affcrypto(1), affdiskprint(1), affinfo(1), affix(1), affrecover(1), affsegment(1), affsign(1), affstats(1), affuse(1), affverify(1), affxml(1)

AUTHOR
The AFFLIB was written by Simson L. Garfinkel <simsong@acm.org> and Basis Technology, Inc.

This manual page was written by Joao Eriberto Mota Filho <eriberto@debian.org> for the Debian project (but may be used by others).